---

#! /cephfs/tmp/d20250109-1867153-6zbjfc/kunit.yaml
suite: kunit
testcase: kunit
category: functional
kunit:
  group: group-00
kernel_cmdline: kunit.enable=1
job_origin: kunit.yaml
queue: bisect
testbox: lkp-ivb-d02
commit: 552b7d131aa01bcb046fb635d66e256c3e7e13ee
compiler: gcc-12
branch: internal-os-bkc/post-si/6.6/staging/gnr
kconfig: x86_64-os-bkc-post-si-6.6-staging-gnr-kunit
extend_kconfig: '1'
name: "/cephfs/tmp/d20250109-1867153-6zbjfc/kunit.yaml"
tbox_group: lkp-ivb-d02
job_file: "/lkp/jobs/scheduled/lkp-ivb-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-552b7d131aa0-20250112-38219-1r697o-0.yaml"
id: 42ea8a271d5c0886bfa719c1f2a19a69c9c5ea54
queuer_version: "/zday/lkp"

#! /db/releases/20250109110140/lkp-src/hosts/lkp-ivb-d02
model: Ivy Bridge
nr_node: 1
nr_cpu: 4
memory: 8G
nr_hdd_partitions: 4
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BA400G4_BTHV634505W5400NGN-part1"
hdd_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part1 /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part2
  /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part3 /dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part4"
swap_partitions: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part6"
rootfs_partition: "/dev/disk/by-id/ata-ST4000NM0035-1V4107_ZC127QJQ-part5"
brand: Intel(R) Core(TM) i3-3220 CPU @ 3.30GHz
netconsole_port: 6673
ucode: '0x21'
need_kconfig_hw:
- NET_VENDOR_REALTEK: "y"
- R8169: "y"
- SATA_AHCI
- DRM_I915

#! /db/releases/20250109110140/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250109110140/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250109110140/lkp-src/programs/kunit/include
need_kconfig:
- RUNTIME_TESTING_MENU: "y"
- KUNIT: "y"
- KUNIT_DEFAULT_ENABLED: "n"
- KUNIT_DEBUGFS: "y"
- KUNIT_ALL_TESTS: m
- KUNIT_EXAMPLE_TEST: "n"
- KUNIT_TEST: "n"
- MEMCPY_SLOW_KUNIT_TEST: "n"
- BITFIELD_KUNIT: m
- BITS_TEST: m
- CMDLINE_KUNIT_TEST: m
- HASH_KUNIT_TEST: m
- LINEAR_RANGES_TEST: m
- LIST_KUNIT_TEST: m
- MEMCPY_KUNIT_TEST: m
- SND_SOC_TOPOLOGY_KUNIT_TEST: m
- NETDEV_ADDR_LIST_TEST: m
- RESOURCE_KUNIT_TEST: m
- SYSCTL_KUNIT_TEST: m
- TIME_KUNIT_TEST: m
- TEST_LIST_SORT: m
- TEST_SORT: m
- CPUMASK_KUNIT_TEST: m
- IS_SIGNED_TYPE_KUNIT_TEST: m
- OVERFLOW_KUNIT_TEST: m
- SIPHASH_KUNIT_TEST: m
- STACKINIT_KUNIT_TEST: m
- DRIVER_PE_KUNIT_TEST
- RTC_LIB_KUNIT_TEST: m
- RTC_CLASS: "y"
- FORTIFY_KUNIT_TEST: m
- FORTIFY_SOURCE: "y"
- EXT4_KUNIT_TESTS: m
- EXT4_FS
- TRACEPOINTS: "y"
- MPTCP_KUNIT_TEST: m
- MPTCP: "y"
- RATIONAL_KUNIT_TEST: m
- RATIONAL: "y"
- SLUB_KUNIT_TEST: m
- SLOB_DEPRECATED: "n"
- SLUB: "y"
- SLUB_DEBUG: "y"
- SLUB_TINY: "n"
- SECURITY_APPARMOR_KUNIT_TEST: m
- SECURITY_APPARMOR: "y"
- CLK_GATE_KUNIT_TEST: m
- CLK_KUNIT_TEST: m
- COMMON_CLK: "y"
- CROS_KUNIT_EC_PROTO_TEST: m
- CHROME_PLATFORMS: "y"
- CROS_EC: m
- HID_KUNIT_TEST: m
- HID_SUPPORT: "y"
- HID
- HID_BATTERY_STRENGTH: "y"
- USB
- USB_HID
- HID_UCLOGIC: m
- IIO_FORMAT_KUNIT_TEST: m
- IIO: m
- IIO_RESCALE_KUNIT_TEST: m
- IIO_RESCALE: m
- SND_SOC_UTILS_KUNIT_TEST: m
- SOUND: m
- FAT_KUNIT_TEST: m
- FAT_FS
- STRING_HELPERS_KUNIT_TEST: m
- STRING_KUNIT_TEST: m
- USERCOPY_KUNIT_TEST: m
- DAMON_KUNIT_TEST: "y"
- PM_QOS_KUNIT_TEST: "y"
- BINFMT_ELF_KUNIT_TEST: "y"
- VCAP_KUNIT_TEST: "y"
- VCAP: "y"
- NET_VENDOR_MICROCHIP: "y"
- USB4_KUNIT_TEST: "y"
- USB4: "y"
- FPROBE_SANITY_TEST: "y"
- FPROBE: "y"
- HW_BREAKPOINT_KUNIT_TEST: "y"
- PROFILING: "y"
- PERF_EVENTS: "y"
- DAMON_DBGFS_KUNIT_TEST: "y"
- DAMON: "y"
- DAMON_DBGFS: "y"
- DAMON_VADDR: "y"
- DAMON_VADDR_KUNIT_TEST: "y"
- DAMON_PADDR: "y"
- DAMON_SYSFS: "y"
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2025-01-12 08:06:07.513119719 +08:00
_rt: "/result/kunit/group-00/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250111-223204"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kunit/group-00/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee/0
- BOOT_IMAGE=/pkg/linux/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee/vmlinuz-6.1.0-rc5-01255-g552b7d131aa0
- branch=internal-os-bkc/post-si/6.6/staging/gnr
- job=/lkp/jobs/scheduled/lkp-ivb-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-552b7d131aa0-20250112-38219-1r697o-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-os-bkc-post-si-6.6-staging-gnr-kunit
- commit=552b7d131aa01bcb046fb635d66e256c3e7e13ee
- kunit.enable=1
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250109110140/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-ivb-d02/kunit-group-00-debian-12-x86_64-20240206.cgz-552b7d131aa0-20250112-38219-1r697o-0.cgz"
last_kernel: 4.20.0
acpi_rsdp: '0x000f0490'

#! queue options
queue_cmdline_keys:
- branch
- commit

#! user overrides
kernel: "/pkg/linux/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee/vmlinuz-6.1.0-rc5-01255-g552b7d131aa0"
result_root: "/result/kunit/group-00/lkp-ivb-d02/debian-12-x86_64-20240206.cgz/x86_64-os-bkc-post-si-6.6-staging-gnr-kunit/gcc-12/552b7d131aa01bcb046fb635d66e256c3e7e13ee/0"

#! /db/releases/20250110234916/lkp-src/include/site/inn
dequeue_time: 2025-01-12 10:12:27.399173994 +08:00
job_state: finished
loadavg: 2.83 2.16 0.99 1/163 6008
start_time: '1736648272'
end_time: '1736648365'
version: "/lkp/lkp/.src-20250112-100611:b8cc1be816f0-dirty:983f9cae0df2-dirty"
